classification
Title: Cumulative patcc:h to http and xmlrpc
Type: performance Stage: resolved
Components: Library (Lib) Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: kristjan.jonsson Nosy List: amaury.forgeotdarc, ezio.melotti, haypo, kristjan.jonsson, loewis, r.david.murray, terry.reedy
Priority: normal Keywords:

Created on 2009-06-11 15:30 by kristjan.jonsson, last changed 2009-12-13 18:04 by r.david.murray. This issue is now closed.

Messages (17)
msg89254 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2009-06-11 15:30
Please see 
http://codereview.appspot.com/73041/show
msg89255 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2009-06-11 15:33
Consider this a superset of
http://bugs.python.org/issue6099
http://bugs.python.org/issue6096
msg89586 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2009-06-21 21:53
On Py-dev, Fredrik Lundh wrote "The xmlrpclib.py changes looks ok.  I'll
leave it to other reviewers to check the rest."
msg89775 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-06-28 13:36
Patch set 4 looks fine to me, please apply it to 2.7 and 3.2.
msg89786 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2009-06-28 21:04
Commited to 2.7 in revision 73638
msg89799 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2009-06-28 22:49
I'm working on the 3.2 port, it needs some manual work.
msg89968 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2009-07-01 10:02
committed to py3k in revision 73742
msg90042 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-07-03 02:41
Before r73742, test_socketserver and test_urllib2_localnet work, after
this patchset is applied there are failures.  This is on Gentoo linux,
py3k.  See also issue 6381 and issue 6382, which are the same problems
on trunk.  (The test_urllib2_localnet failure seems to now be
consistently repeatable on my machine, for whatever reason.)
msg90060 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2009-07-03 14:16
The port to py3k has an error, see
http://mail.python.org/pipermail/python-checkins/2009-July/084734.html

Indexing is no more allowed on exception objects. it may be replaced
with e.args[0], or better, with e.errno.
msg90088 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2009-07-03 23:30
Fixed exception handling in 
revision 73820
and
revision 73821 and revision 73822
msg90089 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2009-07-03 23:32
I've submitted a fix to 6381 in the trunk.  6382 is less clear to me, I 
must take a closer look.
msg90460 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2009-07-12 22:46
Added more regression tests in revision 73986 and revision 73987
msg90600 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2009-07-17 02:22
xmlrpclib, DocXMLRPCServer and SimpleXMLRPCServer cannot be imported
after r73638 if zlib is missing, see #6499.
msg92597 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2009-09-14 10:40
I opened a bug report introduced by this issue: #6907:
xmlrpclib.make_connection() is not thread safe.
msg92600 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2009-09-14 10:44
There are duplicate issues about HTTP/1.1: #2076, #1767370.
msg92602 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2009-09-14 10:49
Another duplicate: #1613573.
msg92606 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2009-09-14 11:16
Ok, all duplicate issues are now closed (#1613573, #1767370, #2076).
History
Date User Action Args
2009-12-13 18:04:05r.david.murraysetstatus: open -> closed
stage: needs patch -> resolved
2009-09-14 11:16:56hayposetmessages: + msg92606
2009-09-14 10:49:28hayposetmessages: + msg92602
2009-09-14 10:44:42hayposetmessages: + msg92600
2009-09-14 10:40:15hayposetnosy: + haypo
messages: + msg92597
2009-07-17 02:22:49ezio.melottisetnosy: + ezio.melotti
messages: + msg90600
2009-07-12 22:46:21kristjan.jonssonsetmessages: + msg90460
2009-07-03 23:32:43kristjan.jonssonsetmessages: + msg90089
2009-07-03 23:30:07kristjan.jonssonsetmessages: + msg90088
2009-07-03 14:16:26amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg90060
2009-07-03 02:41:49r.david.murraysetpriority: normal

components: + Library (Lib)
versions: + Python 3.2
nosy: + r.david.murray

messages: + msg90042
stage: needs patch
2009-07-01 10:02:01kristjan.jonssonsetmessages: + msg89968
2009-06-28 22:49:06kristjan.jonssonsetmessages: + msg89799
2009-06-28 21:14:13kristjan.jonssonlinkissue6248 superseder
2009-06-28 21:04:59kristjan.jonssonsetmessages: + msg89786
title: Cumulative patch to http and xmlrpc -> Cumulative patcc:h to http and xmlrpc
2009-06-28 13:36:34loewissetnosy: + loewis
messages: + msg89775

assignee: kristjan.jonsson
resolution: accepted
2009-06-21 21:53:16terry.reedysetnosy: + terry.reedy
messages: + msg89586
2009-06-20 16:28:38loewislinkissue6096 superseder
2009-06-20 16:28:08loewislinkissue6099 superseder
2009-06-11 15:33:06kristjan.jonssonsetmessages: + msg89255
2009-06-11 15:30:34kristjan.jonssoncreate